org.codehaus.groovy.vmplugin.v7

## Class IndyArrayAccess

- java.lang.Object
- - org.codehaus.groovy.vmplugin.v7.IndyArrayAccess

-     public class IndyArrayAccess
      extends java.lang.Object

  Class for handling array access through invokedynamic using static callsite information
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndyArrayAccess()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.invoke.MethodHandle` | `arrayGet(java.lang.invoke.MethodType type)`
    `static java.lang.invoke.MethodHandle` | `arraySet(java.lang.invoke.MethodType type)`
    `static boolean` | `notNegative(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndyArrayAccess

          public IndyArrayAccess()

  - ### Method Detail

    - #### notNegative

          public static boolean notNegative(int index)

    - #### arrayGet

          public static java.lang.invoke.MethodHandle arrayGet(java.lang.invoke.MethodType type)

    - #### arraySet

          public static java.lang.invoke.MethodHandle arraySet(java.lang.invoke.MethodType type)